<?php
/**
 * @file
 * Create and them the teampage.
 */

/**
 * Create a teampage.
 *
 * This page can be formatted with theme_tabt_teams().
 * The teamsarray can be accessed through $teams.
 */
function tabt_teamspage($season = NULL) {
  $output = '';
  $season = tabt_process_seasonnumber($season);

  $teams = tabt_get_teams($season);
  if (isset($teams->TeamEntries)) {
    $result = $teams->TeamEntries;
    usort($result, 'tabt_teams_sort');
  }
  else {
    $result = array();
  }

  return array(
      '#theme'     => 'tabt_teams',
      '#teams'     => $result,
      '#season'    => $season,
  );
}

/**
 * Theme the teamspage.
 */
function theme_tabt_teams($variables) {
  $teams = $variables['teams'];
  $output = '';

  $output .= '<center>' . tabt_get_seasons_form($variables['season'], variable_get('tabt_teamspage', 'teams')) . '</center>';

  if (module_exists('tabt_matches')) {
    $header = array(t('Team'), t('Division'), t('Links'));
  }
  else {
    $header = array(t('Team'), t('Division'));
  }

  $rows = array();

  foreach ($teams as $team) {
    $row = array();
    $row[] = tabt_get_teamname($team->TeamId, $variables['season']);
    $row[] = $team->DivisionName;

    if (module_exists('tabt_matches')) {
      $links = array();

      $teamurl = tabt_get_teamurl($team->TeamId);

      if ($variables['season'] == tabt_get_current_season()) {
        $links['calendar'] = array(
            'title' => t('calendar'),
            'href' => variable_get('tabt_matches_matchespage', 'championship/calendar') . '/' . $teamurl,
        );
        $links['ranking'] = array(
            'title' => t('ranking'),
            'href' => variable_get('tabt_matches_rankingpage', 'championship/ranking') . '/' . $teamurl
        );
      }
      else {
        $seasonname = tabt_get_seasonname($variables['season']);
        $links['calendar'] = array(
            'title' => t('calendar'),
            'href' => variable_get('tabt_matches_matchespage', 'championship/calendar') . '/' . $teamurl . '/' . $seasonname,
        );
        $links['ranking'] = array(
            'title' => t('ranking'),
            'href' => variable_get('tabt_matches_rankingpage', 'championship/ranking') . '/' . $teamurl . '/' . $seasonname
        );
      }

      $row[] = array('data' => array(
          '#theme' => 'links__tabt_teams',
          '#links' => $links,
          '#attributes' => array('class' => array('links', 'inline')),
      ));
    }
    $rows[] = $row;

  }

  $output .= theme('table', array('header' => $header, 'rows' => $rows));
  $output .= '<small>' . (t('Information obtained from !link', array('!link' => l('http://' . variable_get('tabt_site', 'competitie.vttl.be'), 'http://' . variable_get('tabt_site', 'competitie.vttl.be'))))) . '</small>' . "\n";

  return $output;
}